SND_SOC_JACK_GET_TYP(9)

NAME
snd_soc_jack_get_type - Based on the mic bias value, this function returns the type of jack from the zones declared in the jack type

SYNOPSIS

int snd_soc_jack_get_type(struct snd_soc_jack * jack, int micbias_voltage);

ARGUMENTS

jack
    ASoC jack

micbias_voltage
    mic bias voltage at adc channel when jack is plugged in

DESCRIPTION

Based on the mic bias value passed, this function helps identify the type of jack from the already declared jack zones

COPYRIGHT